import javax.swing.*;
import java.awt.BorderLayout;

/**
 * Set up the window and show five labels in it, one in each region of the BorderLayout.
 * The size of the window is determined from the size of the label.
 * @version 7, 2 Feb 2005.
 **/
public class SetUpOperation implements Runnable
{
    public void run () {
        // Make sure we have nice window decorations.
        JFrame.setDefaultLookAndFeelDecorated(true);
        
        // Create the window and set its size.
        JFrame frame = new JFrame ("My example program");
        
        // Make sure the program exits when the window is closed.
        frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        
        // Add something to the window.
        JLabel northText = new JLabel ("north");
        JLabel southText = new JLabel ("south");
        JLabel eastText = new JLabel ("east");
        JLabel westText = new JLabel ("west");
        JLabel centerText = new JLabel ("center");
        frame.getContentPane().add(northText, BorderLayout.NORTH);
        frame.getContentPane().add(centerText, BorderLayout.CENTER);
        frame.getContentPane().add(eastText, BorderLayout.EAST);
        frame.getContentPane().add(southText, BorderLayout.SOUTH);
        frame.getContentPane().add(westText, BorderLayout.WEST);
        
        // Compute the size of the window, just big enough to hold the labels.
        frame.pack();
        
        // Show the window.
        frame.setVisible(true);
    }
}